All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components.scatterplot
Class ScatterPlotDataModel

    com.sas.graphics.components.scatterplot.ScatterPlotDataModel

Direct Known Subclasses:
  ScatterPlotOLAPDataModel, ScatterPlotTableDataModel

    @SASScope(value="ALL")
    public abstract class ScatterPlotDataModel

Common superclass for all ScatterPlot DataModels to provide a "type" of data model that can be assigned to a ScatterPlot.

## Usage

A ScatterPlotDataModel can be assigned to an instace of the ScatterPlot class. Ex:

     ScatterPlotDataModel myData = createMyScatterPlotData(); // See ScatterPlotTableDataModel or ScatterPlotOLAPDataModel
     ScatterPlot scatterPlot = new ScatterPlot();
     scatterPlot.setDataModel(myData);

## Behavior

See ScatterPlotTableDataModel and ScatterPlotOLAPDataModel for examples on how to use the different types of ScatterPlotDataModels.

## Extending

This class provides a type for the ScatterPlot's data models but is only intended for internal subclassing.

Since:
  SAS 9.1
See Also:
  `ScatterPlotTableDataModel`, `ScatterPlotOLAPDataModel`

Constructor Summary
`ScatterPlotDataModel()`

Method Summary

Methods inherited from class com.sas.graphics.components.DataModel
`apply, equals, getLocale, getRulesContext, getSortStrategy, hashCode, setLocale, setRulesContext, setSortStrategy`

Methods inherited from class com.sas.graphics.components.ModelBase
`addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, setContainedModel`

Constructor Detail

### ScatterPlotDataModel

    public ScatterPlotDataModel()

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.